# rtsp media factory uri

This specialized GstRTSPMediaFactory constructs media pipelines from a URI, given with gst_rtsp_media_factory_uri_set_uri.

It will automatically demux and payload the different streams found in the media at URL.

Last reviewed on 2013-07-11 (1.0.0)

## GstRTSPMediaFactoryURI

    GObject
        ╰──GstRTSPMediaFactory
            ╰──GstRTSPMediaFactoryURI

A media factory that creates a pipeline to play any uri.

### Members

`parent` (GstRTSPMediaFactory) –
No description available

### Class structure

#### GstRTSPMediaFactoryURIClass

The GstRTSPMediaFactoryURI class structure.

##### Fields

`parent_class` (GstRTSPMediaFactoryClass) –
No description available

### GstRtspServer.RTSPMediaFactoryURIClass

The GstRtspServer.RTSPMediaFactoryURI class structure.

##### Attributes

`parent_class` (GstRtspServer.RTSPMediaFactoryClass) –
No description available

### GstRtspServer.RTSPMediaFactoryURIClass

The GstRtspServer.RTSPMediaFactoryURI class structure.

##### Attributes

`parent_class` (GstRtspServer.RTSPMediaFactoryClass) –
No description available

## GstRtspServer.RTSPMediaFactoryURI

    GObject.Object
        ╰──GstRtspServer.RTSPMediaFactory
            ╰──GstRtspServer.RTSPMediaFactoryURI

A media factory that creates a pipeline to play any uri.

### Members

`parent` (GstRtspServer.RTSPMediaFactory) –
No description available

## GstRtspServer.RTSPMediaFactoryURI

    GObject.Object
        ╰──GstRtspServer.RTSPMediaFactory
            ╰──GstRtspServer.RTSPMediaFactoryURI

A media factory that creates a pipeline to play any uri.

### Members

`parent` (GstRtspServer.RTSPMediaFactory) –
No description available

### Constructors

#### gst_rtsp_media_factory_uri_new

    GstRTSPMediaFactoryURI *
    gst_rtsp_media_factory_uri_new ()

Create a new GstRTSPMediaFactoryURI instance.

Returns ( [transfer: full]) –

a new GstRTSPMediaFactoryURI object.

#### GstRtspServer.RTSPMediaFactoryURI.prototype.new

    function GstRtspServer.RTSPMediaFactoryURI.prototype.new(): {
        // javascript wrapper for 'gst_rtsp_media_factory_uri_new'
    }

Create a new GstRtspServer.RTSPMediaFactoryURI instance.

Returns (GstRtspServer.RTSPMediaFactoryURI) –

a new GstRtspServer.RTSPMediaFactoryURI object.

#### GstRtspServer.RTSPMediaFactoryURI.new

    def GstRtspServer.RTSPMediaFactoryURI.new ():
        #python wrapper for 'gst_rtsp_media_factory_uri_new'

Create a new GstRtspServer.RTSPMediaFactoryURI instance.

Returns (GstRtspServer.RTSPMediaFactoryURI) –

a new GstRtspServer.RTSPMediaFactoryURI object.

### Methods

#### gst_rtsp_media_factory_uri_get_uri

    gchar *
    gst_rtsp_media_factory_uri_get_uri (GstRTSPMediaFactoryURI * factory)

Get the URI that will provide media for this factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

Returns ( [transfer: full]) –

the configured URI. g_free after usage.

#### GstRtspServer.RTSPMediaFactoryURI.prototype.get_uri

    function GstRtspServer.RTSPMediaFactoryURI.prototype.get_uri(): {
        // javascript wrapper for 'gst_rtsp_media_factory_uri_get_uri'
    }

Get the URI that will provide media for this factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactoryURI) –

a GstRtspServer.RTSPMediaFactory

Returns (String) –

the configured URI. GLib.prototype.free after usage.

#### GstRtspServer.RTSPMediaFactoryURI.get_uri

    def GstRtspServer.RTSPMediaFactoryURI.get_uri (self):
        #python wrapper for 'gst_rtsp_media_factory_uri_get_uri'

Get the URI that will provide media for this factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactoryURI) –

a GstRtspServer.RTSPMediaFactory

Returns (str) –

the configured URI. GLib.free after usage.

#### gst_rtsp_media_factory_uri_set_uri

    gst_rtsp_media_factory_uri_set_uri (GstRTSPMediaFactoryURI * factory,
                                        const gchar * uri)

Set the URI of the resource that will be streamed by this factory.

Parameters:

`factory` –

a GstRTSPMediaFactory

`uri` –

the uri the stream

#### GstRtspServer.RTSPMediaFactoryURI.prototype.set_uri

    function GstRtspServer.RTSPMediaFactoryURI.prototype.set_uri(uri: String): {
        // javascript wrapper for 'gst_rtsp_media_factory_uri_set_uri'
    }

Set the URI of the resource that will be streamed by this factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactoryURI) –

a GstRtspServer.RTSPMediaFactory

`uri` (String) –

the uri the stream

#### GstRtspServer.RTSPMediaFactoryURI.set_uri

    def GstRtspServer.RTSPMediaFactoryURI.set_uri (self, uri):
        #python wrapper for 'gst_rtsp_media_factory_uri_set_uri'

Set the URI of the resource that will be streamed by this factory.

Parameters:

`factory` (GstRtspServer.RTSPMediaFactoryURI) –

a GstRtspServer.RTSPMediaFactory

`uri` (str) –

the uri the stream

### Properties

#### uri

    “uri” gchar *

Flags : Read / Write

#### uri

    “uri” String

Flags : Read / Write

#### uri

    “self.props.uri” str

Flags : Read / Write

#### use-gstpay

    “use-gstpay” gboolean

Flags : Read / Write

#### use-gstpay

    “use-gstpay” Number

Flags : Read / Write

#### use_gstpay

    “self.props.use_gstpay” bool

Flags : Read / Write

## Function Macros

### GST_RTSP_MEDIA_FACTORY_URI_CAST

    #define GST_RTSP_MEDIA_FACTORY_URI_CAST(obj)         ((GstRTSPMediaFactoryURI*)(obj))

### GST_RTSP_MEDIA_FACTORY_URI_CLASS_CAST

    #define GST_RTSP_MEDIA_FACTORY_URI_CLASS_CAST(klass) ((GstRTSPMediaFactoryURIClass*)(klass))

The results of the search are